def lunar_sum(a, b):
    max_len = max(len(a), len(b))
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    return "".join(str(max(int(x), int(y))) for x, y in zip(a, b))


def lunar_product(a, b):
    max_len = max(len(a), len(b))
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    result = ""
    for i in range(max_len):
        result += str(min(int(a[i]), int(b[i])))
    return result.lstrip("0") or "0"


a = input()
b = input()
print(lunar_sum(a, b), lunar_product(a, b))